P4_BRACKET_DEF(3)

NAME
p4_bracket_def - [DEF] ( -- )

SYNOPSIS

#include <pfe/useful-ext.h>

FCode p4_bracket_def(---);

DESCRIPTION

immediatly set topmost CONTEXT voc to CURRENT compilation voc.

      : DEF' CURRENT @ CONTEXT ! ; IMMEDIATE

note that in PFE most basic vocabularies are immediate, so that you can use a sequence of

      FORTH ALSO  DEFINITIONS
      [DEF] : GET-FIND-3  [ANS] ['] FIND  [FIG] ['] FIND  [DEF] ['] FIND ;

where the first wordlist to be searched via the search order are [ANS] and [FIG] and FORTH (in this order) and which may or may not yield different flavours of the FIND routine (i.e. different XTs)

AUTHOR

    • Guido U. Draheim (modified by $Author: guidod $)

COPYRIGHT

Copyright (C) Tektronix, Inc. 1998 - 2001. Copyright (C) 2005 - 2008 Guido U. Draheim <guidod@gmx.de>